System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.UrlMapping), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

The type allows access to the elements of the section element collection.

Represents a collection of objects. This class cannot be inherited.

- Constructor

  The constructor is not intended to be used directly from your code. It is called by the ASP.NET configuration system. You obtain an instance of the class by using property.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void `` To be added.

  Adds the specified to the collection.

  The object to add to the collection. 2.0.0.0
- Property
  System.String[] To be added. To be added.

  Gets an array of the keys for all of the configuration elements contained in the .

  2.0.0.0
- Method
  System.Void

  If you save the configuration file after calling the method, the result will be dependent upon the chosen .

  The following list describes the conditions that apply if you use the method to save the file:

  If you pass or as the parameter value, a clear element is inserted into the urlMappings section of the configuration file at the current hierarchy level.

  If you pass as the parameter value, a series of remove elements are added to the urlMappings of the configuration file at the current hierarchy level. These remove elements remove all references to the add elements defined in the parent configuration files at higher levels in the hierarchy. With the enumeration value, there is one additional property on the collection that affects what gets serialized to the configuration file. The property is and is false by default. One of the following conditions applies:

  set to true. A clear element is inserted into the urlMappings section of the configuration file at the current hierarchy level. This removes all references to the add elements defined in the parent configuration files at higher levels in the hierarchy.

  flag is set to false. This has the effect of removing the clear element from the urlMappings section of the configuration file at the current hierarchy level, if it exists.

  The method actually deletes the add elements defined in the urlMappings section of the configuration file at the current hierarchy level. It also removes all references to the add elements defined in the parent configuration files at higher levels in the hierarchy but does not delete them.

  Removes all the objects from the collection.

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added. To be added. To be added. 2.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String `` To be added.

  Gets the collection key of the specified element.

  A string representing the value of the key.

  The collection index of the element to get. 2.0.0.0
- Property
  System.Web.Configuration.UrlMapping `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.UrlMapping `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  The method deletes the add element in the urlMappings section at the current hierarchy level and inserts a remove element. The remove element effectively removes the reference to the add element defined in the parent configuration files at higher levels in the hierarchy but does not delete it.

  Removes the object with the specified name from the collection.

  The name of the object to remove from the collection. 2.0.0.0
- Method
  System.Void ``

  The method deletes the add element in the urlMappings section at the current hierarchy level and inserts a remove element. The remove element effectively removes the reference to the add element defined in the parent configuration files at higher levels in the hierarchy but does not delete it.

  Removes the specified object from the collection.

  The object to remove from the collection. 2.0.0.0
- Method
  System.Void ``

  The method deletes the add element in the urlMappings section at the current hierarchy level and inserts a remove element. The remove element effectively removes the reference to the add element defined in the parent configuration files at higher levels in the hierarchy but does not delete it.

  Removes the object with the specified index from the collection.

  The collection index of the object to remove. 2.0.0.0